Bug 438977 - hald-addon-cpufreq uses excessive resources
hald-addon-cpufreq uses excessive resources
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 07:33 EDT by David Anderson
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:15:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2008-03-26 07:33:46 EDT
hal-0.5.10-1.fc8.2

"top", followed by a sort by time often shows hald-addon-cpufreq as one of the 
biggest consumers of CPU cycles. It uses more than kcrpytd does on my system 
dealing with my encrypted home directory. On average it uses about 1 second of 
CPU time for every 90 seconds of system uptime, i.e. over 1% of total 
available CPU resources, which seems excessive. This is on a Pentium 4 2.8Ghz.
Comment 1 Richard Hughes 2008-05-30 07:39:43 EDT
You using kpowersave?
Comment 2 David Anderson 2008-05-31 07:10:47 EDT
Yes, kpowersave-0.7.3-3.fc8.  The percentage I calculated above was an order of magnitude out, but it's still the most CPU-consuming process on my machine after the desktop applications that are actually being used. 
Comment 3 Richard Hughes 2008-06-02 10:50:45 EDT
If you kill kpowersave, does the cpufreq addon consume almost no time?
Comment 4 David Anderson 2008-07-07 14:14:40 EDT
No, it doesn't. stracing it gives it doing this constantly:

stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
write(2, "19:11:00.911 [D] addon-cpufreq-u"..., 76) = 76
gettimeofday({1215454260, 912260}, {4294967236, 0}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
write(2, "19:11:00.912 [D] addon-cpufreq-u"..., 96) = 96
gettimeofday({1215454260, 912789}, {4294967236, 0}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
write(2, "19:11:00.912 [D] addon-cpufreq-u"..., 87) = 87
gettimeofday({1215454260, 913303}, {4294967236, 0}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
write(2, "19:11:00.913 [D] addon-cpufreq-u"..., 132) = 132
gettimeofday({1215454260, 913817}, {4294967236, 0}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
write(2, "19:11:00.913 [D] addon-cpufreq-u"..., 66) = 66

# ls -l /proc/1840/fd/2
lrwx------ 1 root root 64 2008-07-07 19:12 /proc/1840/fd/2 -> /dev/null
Comment 5 Bug Zapper 2008-11-26 05:16:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:15:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.